{{ define "main" }}
{{ $Pages := .Pages }}
{{ $home := .IsHome }}
{{ if .IsHome }}
  {{ $Pages = where site.RegularPages "Type" "in" .Site.Params.mainSections }}
{{ end }}

{{- $paginator := .Paginate $Pages }}
{{- if and .IsHome site.Params.homeInfoParams (eq $paginator.PageNumber 1) }}
{{- partial "home_info.html" . }}
{{- end }}

<article>
  {{ if not .IsHome }}
  <header class="page-header">
    <h1>
      {{ .Title }}
    </h1>
  </header>
  {{ end }}
  <div class="archive-list">
  {{ range $Pages.GroupByDate "2006" }}
    <h2 class="archive-year">{{ .Key }}</h2>
    <ul>
    {{ range .Pages.GroupByDate "January"}} <!-- .Pages in $Pages -->
    {{ range .Pages }}
      <li class="archive-item">
      {{ if .Date }}
      <time datetime="{{ .Date.Format "2006-01-02T15:04:05Z07:00" }}">{{ (.Date | time.Format (default "2 January 2006" site.Params.DateFormat)) }}</time>
      <div><a href="{{ .Permalink }}">{{ .Title }}</a>
      {{- if .Draft }}<sup><span class="entry-isdraft">&nbsp;&nbsp;[draft]</span></sup>{{- end }}
      </div>
      {{ end }}
      </li>
      {{ end }}
    {{ end }}
    </ul>
  {{ end }}
  </div>
</article>
{{ end }}
